Yaf_Route_Interface::route
Yaf_Route_Map::assemble
Yaf
PHP Manual

# The Yaf_Route_Map class

(Yaf >=1.0.0)

## Introduction

Yaf_Route_Map is a built-in route, it simply convert a URI endpoint (that part of the URI which comes after the base URI: see Yaf_Request_Abstract::setBaseUri()) to a controller name or action name(depends on the paramter passed to Yaf_Route_Map::__construct()) in following rule: A => controller A. A/B/C => controller A_B_C. A/B/C/D/E => controller A_B_C_D_E.

If the second parameter of Yaf_Route_Map::__construct() is specificed, then only the part before delimeter of URI will used to routing, the part after it is used to routing request parameters (see the example section of Yaf_Route_Map::__construct()).

## Class synopsis

Yaf_Route_Map implements Yaf_Route_Interface {
/* Properties */
protected $_ctl_router ;
protected $_delimeter ;
/* Methods */
public string assemble ( array `$info` [, array `$query` ] )
public __construct ([ string `$controller_prefer` = false [, string `$delimiter` = "" ]] )
public bool route ( Yaf_Request_Abstract `$request` )
}

## Properties

_ctl_router

_delimeter

## Table of Contents

- Yaf_Route_Map::assemble — Assemble a url
- Yaf_Route_Map::__construct — The __construct purpose
- Yaf_Route_Map::route — The route purpose

Yaf_Route_Interface::route
Yaf_Route_Map::assemble
Yaf
PHP Manual